unit TextUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Menus, Grids, ExtCtrls, Buttons, Spin;

type
  TTextForm = class(TForm)
    TextEdit: TEdit;
    Label2: TLabel;
    InfoGrid: TStringGrid;
    AddButton: TBitBtn;
    Bevel1: TBevel;
    Bevel2: TBevel;
    OKButton: TBitBtn;
    Label1: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    SpalteEdit: TSpinEdit;
    ZeilenEdit: TSpinEdit;
    Bevel3: TBevel;
    Bevel4: TBevel;
    Memo1: TMemo;
    ZeichenLabel: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure AddButtonClick(Sender: TObject);
    procedure OKButtonClick(Sender: TObject);
    procedure zuTexthinzufgen1Click(Sender: TObject);
    procedure InfoGridDblClick(Sender: TObject);
    procedure TextEditChange(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  TextForm: TTextForm;

implementation

{$R *.DFM}

procedure TTextForm.FormCreate(Sender: TObject);
begin
     InfoGrid.Cells[0,0]:='Info';
     InfoGrid.Cells[1,0]:='Bedeutung';
     InfoGrid.Cells[2,0]:='Beispiel';

     //Allgemeines
     InfoGrid.Cells[0,1]:='PCNAME';
     InfoGrid.Cells[1,1]:='Netzwerkname des Computers';
     InfoGrid.Cells[2,1]:='Server04';

     InfoGrid.Cells[0,2]:='USERNAME';
     InfoGrid.Cells[1,2]:='Name des derzeitigen Benutzers';
     InfoGrid.Cells[2,2]:='Administrator';

     InfoGrid.Cells[0,3]:='MEMORY';
     InfoGrid.Cells[1,3]:='Gre des physikalischen Arbeitsspeichers in MB';
     InfoGrid.Cells[2,3]:='512';

     InfoGrid.Cells[0,4]:='FREEMEM';
     InfoGrid.Cells[1,4]:='Gre des freien physikalischen Arbeitsspeichers in MB';
     InfoGrid.Cells[2,4]:='324';

     InfoGrid.Cells[0,5]:='IP';
     InfoGrid.Cells[1,5]:='Netzwerk IP des Computers';
     InfoGrid.Cells[2,5]:='192.168.0.10';

     InfoGrid.Cells[0,6]:='OS';
     InfoGrid.Cells[1,6]:='Name des Betriebsystems';
     InfoGrid.Cells[2,6]:='Windows 2000';

     //DesktopInfos
     InfoGrid.Cells[0,7]:='RES';
     InfoGrid.Cells[1,7]:='Auflsung';
     InfoGrid.Cells[2,7]:='1280x1024';

     InfoGrid.Cells[0,8]:='COLORS';
     InfoGrid.Cells[1,8]:='Farbtiefe';
     InfoGrid.Cells[2,8]:='24 bit';

     InfoGrid.Cells[0,9]:='FREQ';
     InfoGrid.Cells[1,9]:='Bildwiederholrate';
     InfoGrid.Cells[2,9]:='75 Hz';

     //CPU-Infos
     InfoGrid.Cells[0,10]:='CPUUSAGE';
     InfoGrid.Cells[1,10]:='CPU-Nutzung in Prozent';
     InfoGrid.Cells[2,10]:='12,3';

     InfoGrid.Cells[0,11]:='AVERAGECPU';
     InfoGrid.Cells[1,11]:='durchschnittliche CPU-Nutzung der letzten 15 Min. in Prozent';
     InfoGrid.Cells[2,11]:='7,5';

     InfoGrid.Cells[0,12]:='CPUSPEED';
     InfoGrid.Cells[1,12]:='Taktfrequenz der CPU';
     InfoGrid.Cells[2,12]:='2800 MHz';

     InfoGrid.Cells[0,13]:='CPUVENDOR';
     InfoGrid.Cells[1,13]:='CPU-Hersteller';
     InfoGrid.Cells[2,13]:='GenuineIntel';

     InfoGrid.Cells[0,14]:='CPUNAME';
     InfoGrid.Cells[1,14]:='Bezeichnung der CPU';
     InfoGrid.Cells[2,14]:='Intel(R) Pentium(R) 4 CPU 2.80GHz';

     InfoGrid.Cells[0,15]:='CPUIDENT';
     InfoGrid.Cells[1,15]:='CPU-Identifikation';
     InfoGrid.Cells[2,15]:='x86 Family 15 Model 2 Stepping 9';

     InfoGrid.Cells[0,16]:='CPUCLASS';
     InfoGrid.Cells[1,16]:='Klassenname der CPU';
     InfoGrid.Cells[2,16]:='x586';

     InfoGrid.Cells[0,17]:='CPUFAMILY';
     InfoGrid.Cells[1,17]:='Familienname der CPU';
     InfoGrid.Cells[2,17]:='itanium';

     InfoGrid.Cells[0,18]:='CPUMODEL';
     InfoGrid.Cells[1,18]:='Modelbezeichnung der CPU';
     InfoGrid.Cells[2,18]:='Intel Itanium IA-64';

     //CPU-Technologien
     InfoGrid.Cells[0,19]:='MMX';
     InfoGrid.Cells[1,19]:='CPU untersttzt MultiMediaExtension';
     InfoGrid.Cells[2,19]:='ja';

     InfoGrid.Cells[0,20]:='FPU';
     InfoGrid.Cells[1,20]:='CPU besitzt CO-Prozessor';
     InfoGrid.Cells[2,20]:='ja';

     InfoGrid.Cells[0,21]:='ISSE2';
     InfoGrid.Cells[1,21]:='CPU beherrscht Intel SSE2 Befehlsatz ';
     InfoGrid.Cells[2,21]:='ja';

     InfoGrid.Cells[0,22]:='PSN';
     InfoGrid.Cells[1,22]:='CPU hat eine ProzessorSerienNummer (nur P3)';
     InfoGrid.Cells[2,22]:='nein';

     InfoGrid.Cells[0,23]:='ACC';
     InfoGrid.Cells[1,23]:='CPU besitzt AutomaticClockControl';
     InfoGrid.Cells[2,23]:='ja';

     InfoGrid.Cells[0,24]:='PAE';
     InfoGrid.Cells[1,24]:='CPU untersttzt PhysikalAdressExtension';
     InfoGrid.Cells[2,24]:='ja';

     InfoGrid.Cells[0,25]:='VME';
     InfoGrid.Cells[1,25]:='CPU arbeitet im VirtualMode';
     InfoGrid.Cells[2,25]:='ja';

     InfoGrid.Cells[0,26]:='MSR';
     InfoGrid.Cells[1,26]:='CPU hat ein ModelSpezificRegister';
     InfoGrid.Cells[2,26]:='ja';

     InfoGrid.Cells[0,27]:='APIC';
     InfoGrid.Cells[1,27]:='CPU hat einen AdvanceProgramableIRQController';
     InfoGrid.Cells[2,27]:='ja';

     //Zeit & Datum
     InfoGrid.Cells[0,28]:='DATE';
     InfoGrid.Cells[1,28]:='aktuelles Datum';
     InfoGrid.Cells[2,28]:='29.8.2004';

     InfoGrid.Cells[0,29]:='TIME';
     InfoGrid.Cells[1,29]:='aktuelle Uhrzeit';
     InfoGrid.Cells[2,29]:='17:01:35';

     InfoGrid.Cells[0,30]:='DOW';
     InfoGrid.Cells[1,30]:='Wochentag';
     InfoGrid.Cells[2,30]:='Sonntag';

     InfoGrid.Cells[0,31]:='TIMEZONE';
     InfoGrid.Cells[1,31]:='eingestellte Zeitzone';
     InfoGrid.Cells[2,31]:='Westeuropaeische Sommerzeit';

     InfoGrid.Cells[0,32]:='UPTIME';
     InfoGrid.Cells[1,32]:='Zeit, seit der Windows luft';
     InfoGrid.Cells[2,32]:='01:23:45';

     //D3D & DDraw
     InfoGrid.Cells[0,33]:='RECENTD3D';
     InfoGrid.Cells[1,33]:='letzte Direct3D-Anwendung';
     InfoGrid.Cells[2,33]:='unreal.exe';

     InfoGrid.Cells[0,34]:='RECENTDD';
     InfoGrid.Cells[1,34]:='letzte DirectDraw-Anwendung';
     InfoGrid.Cells[2,34]:='opera.exe';

     //Winamp
     InfoGrid.Cells[0,35]:='WATITLE';
     InfoGrid.Cells[1,35]:='Titel des von Winamp gespielten Song';
     InfoGrid.Cells[2,35]:='Metallica - Whiskey In The Jar';

     InfoGrid.Cells[0,36]:='WALENGTH';
     InfoGrid.Cells[1,36]:='Winamp: Dauer des Stckes';
     InfoGrid.Cells[2,36]:='3:34';

     InfoGrid.Cells[0,37]:='WAPOS';
     InfoGrid.Cells[1,37]:='Winamp: abgespielte Zeit';
     InfoGrid.Cells[2,37]:='1:36';

     InfoGrid.Cells[0,38]:='WAVERSION';
     InfoGrid.Cells[1,38]:='Version von Winamp';
     InfoGrid.Cells[2,38]:='5.03';


end;


procedure TTextForm.AddButtonClick(Sender: TObject);
begin
     TextEdit.Text:=TextEdit.Text+(' $'+Infogrid.Cells[0,InfoGrid.Selection.Top]+'$ ');
end;

procedure TTextForm.OKButtonClick(Sender: TObject);
begin
     close;
end;

procedure TTextForm.zuTexthinzufgen1Click(Sender: TObject);
begin
     TextEdit.Text:=TextEdit.Text+(' $'+Infogrid.Cells[0,InfoGrid.Selection.Top]+'$ ');
end;

procedure TTextForm.InfoGridDblClick(Sender: TObject);
begin
     TextEdit.Text:=TextEdit.Text+(' $'+Infogrid.Cells[0,InfoGrid.Selection.Top]+'$ ');
end;

procedure TTextForm.TextEditChange(Sender: TObject);
begin
     ZeichenLabel.caption:=inttostr(length(TextEdit.Text))+' Zeichen';
end;

end.
