unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  PortIO, StdCtrls;

type
   Longword = Cardinal;


type
  TMain_Win = class(TForm)
    DLPortIO: TDLPortIO;
    PortGroup: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    PortEdit: TEdit;
    WriteButton: TButton;
    DataEdit: TEdit;
    procedure WriteButtonClick(Sender: TObject);
  private
    { Private declarations }

  public
    { Public declarations }
    constructor Create(Owner : TComponent); override;
  end;

var
  Main_Win: TMain_Win;

implementation

{$R *.DFM}

constructor TMain_Win.Create(Owner : TComponent);
begin
   inherited Create(Owner);


   // Driver is in the same directory as the demo.exe file!
   DLPortIO.DriverPath:=ExtractFileDir(ParamStr(0));
   // Open the DriverLINX driver
   DLPortIO.OpenDriver();

   if (not DLPortIO.ActiveHW) then
   begin
      MessageDlg('Could not open the DriverLINX driver.', mtError, [mbOK], 0);
   end;
end;

procedure TMain_Win.WriteButtonClick(Sender: TObject);
var
   DataPort  : Word;     // Port to read data from
   DataWrite : Longword; // Data to write to port
begin
   // Get the data port address
   try
      DataPort:=Word(StrToInt(PortEdit.Text));
   except
      MessageDlg('You have specified an invalid port.'+#13+
                 'No action performed.',
                 mtError, [mbOK], 0);
      Exit;
   end;

   // Get the data to write
   try
      DataWrite:=Longword(StrToInt(DataEdit.Text));
   except
      MessageDlg('You have specified an invalid port.'+#13+
                 'No action performed.',
                 mtError, [mbOK], 0);
      Exit;
   end;

   DLPortIO.Port[DataPort]:=Byte(DataWrite and $FF);
end;

end.
